kind: StorageClass
apiVersion: storage.k8s.io/v1
metadata:
  name: nks-block-storage
  namespace: kube-system
  annotations:
    storageclass.kubernetes.io/is-default-class: "true"
provisioner: blk.csi.ncloud.com
volumeBindingMode: Immediate # Immediate or WaitForFirstConsumer
reclaimPolicy: Retain # Retain or Delete
allowVolumeExpansion: true
parameters:
  type: HDD # HDD or SSD